%define lib_major	2
%define lib_name	%mklibname %{name} %{lib_major}

%define req_eel_version 2.8.0
%define req_gnomedesktop_version 2.1.0
%define req_librsvg_version 2.3.0
%define req_vfs_version 2.5.7

Name: nautilus
Version: 2.8.2
Release: 8mdk
Summary: Nautilus is a file manager for the GNOME desktop environment.
Group: File tools
License: GPL
URL: http://www.gnome.org/projects/nautilus/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/nautilus/nautilus-%{version}.tar.bz2
Source1: nautilus_16.png
Source2: nautilus_32.png
Source3: nautilus_48.png
Source4: emblem-shared.svg.bz2
# (fc) 1.0.6-1mdk new default desktop initialization
Patch2: nautilus-2.8.1-defaultdesktop.patch.bz2
# (fc) 1.0.4-4mdk merged desktop with system desktop
Patch12: nautilus-2.5.1-dynamic.patch.bz2
# (fc) 2.0.5-2mdk pad the left margin a bit to cope with poor word wrapping (Rawhide)
Patch18: nautilus-2.0.5-left-margin.patch.bz2
# (fc) 2.0.5-2mdk enable tree by default, directory are listed before files, don't show files in tree
Patch22: nautilus-2.3.7-mdksettings.patch.bz2
# (fc) 2.3.9-2mdk don't show KDE specific links (CVS + me) (Mdk bug #4844)
Patch28: nautilus-2.3.90-kdedesktop.patch.bz2
# (fc) 2.3.9-3mdk allow editing .desktop files everywhere
Patch31: nautilus-2.8.1-editdesktop.patch.bz2
# (fc) 2.4.0-1mdk don't colorize selected icon
Patch32: nautilus-2.4.0-color.patch.bz2
# (fc) 2.6.3-4mdk fix compilation with libexif 0.6.9
Patch33: nautilus-2.6.3-libexif069.patch.bz2
# (fc) 2.6.3-7mdk fix background with local encoded filename (Mdk bug #10353)
Patch34: libbackground-2.6.1-utf8.patch.bz2
# (fc) 2.8.2-6mdk various fixes from CVS
Patch35: nautilus-2.8.2-cvsfixes.patch.bz2
# (fc) 2.8.2-7mdk don't monitor supermount devices (Mdk bug #14880)
Patch36: nautilus-2.8.2-supermount.patch.bz2
# (fc) 2.8.2-8mdk fix bad i18n init for windows name
Patch37: nautilus-2.8.2-i18n.patch.bz2

BuildRoot:%{_tmppath}/%{name}-%{version}-root

Obsoletes: gmc
Provides: gmc

Requires: mpg123
Requires: vorbis-tools
Requires: sox
Requires: drakxtools-newt >= 1.1.7-46mdk
# needed for dynamic desktop
Requires: gnome-vfs2 >= %{req_vfs_version}
Requires: %{lib_name} >= %{version}-%{release}
Requires: eel >= %{req_eel_version}
Requires: gnome-control-center

BuildRequires: eel-devel >= %{req_eel_version}
BuildRequires: gnome-desktop-devel >= %{req_gnomedesktop_version}
BuildRequires: gnome-vfs2-devel >= %{req_vfs_version}
BuildRequires: librsvg-devel >= %{req_librsvg_version}
BuildRequires: libjpeg-devel
BuildRequires: libgnomeui2-devel > 2.5.0
BuildRequires: libORBit2-devel >= 2.9.0
BuildRequires: libcdda-devel
BuildRequires: libexif-devel >= 0.6.9
BuildRequires: autoconf2.5
#BuildRequires: automake1.8
BuildRequires: intltool

Obsoletes: nautilus-trilobite
Provides: nautilus-trilobite = %{version}

%description
Nautilus is an excellent file manager for the GNOME desktop environment.

%package -n %{lib_name}
Summary:        Libraries for Nautilus File manager
Group:          System/Libraries

%description -n %{lib_name}
Nautilus is an excellent file manager for the GNOME desktop environment.
This package contains libraries used by Nautilus.

%package -n %{lib_name}-devel
Summary:        Libraries and include files for developing nautilus components
Group:          Development/GNOME and GTK+
Requires:       %name = %{version}
Requires:		%{lib_name} = %{version}-%{release}
Requires:       eel-devel >= %{req_eel_version}
Requires:       librsvg-devel >= %{req_librsvg_version}
Obsoletes:		%{name}-devel
Provides:		%{name}-devel = %{version}
Provides:		lib%{name}-devel = %{version}
Conflicts:		libnautilus0-devel

%description -n %{lib_name}-devel
This package provides the necessary development libraries and include 
files to allow you to develop nautilus components.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch12 -p1 -b .dynamic
%patch2  -p1 -b .defaultdesktop
%patch18 -p1 -b .leftmargin
%patch22 -p1 -b .mdksettings
%patch28 -p1 -b .kdedesktop
%patch31 -p1 -b .editdesktop
%patch32 -p1 -b .color
%patch33 -p1 -b .libexif069
%patch34 -p1 -b .backgroundutf8
%patch35 -p1 -b .cvsfixes
%patch36 -p1 -b .supermount
%patch37 -p1 -b .i18n

%build

CFLAGS="$RPM_OPT_FLAGS -DUGLY_HACK_TO_DETECT_KDE" %configure2_5x 

%make

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

pushd $RPM_BUILD_ROOT%{_datadir}/pixmaps/nautilus
bzcat %{SOURCE5} | tar xf -
popd

mkdir -p $RPM_BUILD_ROOT%{_menudir}

cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name} --no-desktop" \
needs="x11" section="System/File Tools" title="Nautilus" \
longtitle="Nautilus - GNOME file manager" icon="%{name}.png"
?package(%{name}):command="%{_bindir}/nautilus-file-management-properties" \
needs="gnome" section="Configuration/GNOME" longtitle="Change how files are managed" \
title="File Management" icon="gnome-fs-directory.png"
EOF

mkdir -p  $RPM_BUILD_ROOT%{_miconsdir} $RPM_BUILD_ROOT%{_liconsdir}
cp %{SOURCE1} $RPM_BUILD_ROOT%{_miconsdir}/nautilus.png
cp %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/nautilus.png
cp %{SOURCE3} $RPM_BUILD_ROOT%{_liconsdir}/nautilus.png

mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/gnome/desktop \
 $RPM_BUILD_ROOT%{_datadir}/nautilus/default-desktop

mkdir -p $RPM_BUILD_ROOT%{_iconsdir}/gnome/scalable/emblems
bzcat %{SOURCE4} > $RPM_BUILD_ROOT%{_iconsdir}/gnome/scalable/emblems/emblem-shared.svg

mkdir -p $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-1.0

%{find_lang} %{name} --with-gnome --all-name

#remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/X11/{sysconfig,serverconfig} \
  $RPM_BUILD_ROOT%{_libdir}/bonobo/*.la

%post
%{update_menus}
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/apps_nautilus_preferences.schemas > /dev/null

%preun
if [ "$1" = "0" ] ; then
 GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/apps_nautilus_preferences.schemas > /dev/null
fi

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc README NEWS ChangeLog HACKING AUTHORS MAINTAINERS
%{_sysconfdir}/gconf/schemas/*
%dir %{_localstatedir}/gnome/desktop
%{_bindir}/*
%{_menudir}/*
%{_libdir}/bonobo/servers/*
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/nautilus
%{_datadir}/gnome-2.0/ui/*
%{_datadir}/idl/*
%{_libexecdir}/nautilus-*
%{_libdir}/bonobo/libnautilus-history-view.so
%{_libdir}/bonobo/libnautilus-notes-view.so
%{_libdir}/bonobo/libnautilus-image-properties-view.so
%{_libdir}/bonobo/libnautilus-emblem-view.so
%{_iconsdir}/gnome/scalable/emblems/emblem-shared.svg
%{_datadir}/control-center-2.0/capplets/*
%dir %{_libdir}/nautilus
%dir %{_libdir}/nautilus/extensions-1.0

%files -n %{lib_name}
%defattr(-, root, root)
%{_libdir}/libnautilus*.so.*


%files -n %{lib_name}-devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*


%changelog
* Fri Apr 01 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-8mdk 
- Patch37: fix i18n init for windows name

* Tue Mar 22 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-7mdk 
- Patch36: don't monitor supermount devices (Mdk bug #14880)

* Thu Mar 17 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-6mdk 
- Patch35 (CVS): various fixes

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-5mdk 
- Rebuild with latest howl

* Tue Dec 28 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.8.2-4mdk
- rebuild with libexif 0.6.x

* Tue Nov 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-3mdk 
- Remove eog dependency, bonobo component is no more used (Fedora)

* Wed Nov 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.2-2mdk
- add sox dependancy (Thierry Vignaud)

* Wed Nov 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.2-1mdk
- fix buildrequires
- New release 2.8.2
- Remove patches 16 (handled by nautilus-filesharing extension), 35, 36, 37, 38 (merged upstream)
- Regenerate patches 2, 31 

* Thu Sep 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.3-10mdk
- Update patch36 to remove one warning
- Update patch16 to remove one warning
- Update patch31 for new mimetype for desktop file

* Wed Sep 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.3-9mdk
- Patch37: fix emblem sort (Mdk bug #10767)
- Patch38 (CVS): fix rare crash

* Mon Sep 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.3-8mdk
- Patch35 (CVS): quiet nautilus for small image file
- Patch36 : fix bonobo warning (Mdk bug #11125)

* Thu Sep 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.3-7mdk
- Patch34: fix background with local encoded name loading (Mdk bug #10353)

* Thu Aug 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.3-6mdk
- Fix menu

* Tue Aug  3 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.3-5mdk
- disable patch 33 to build with libexif9 again

* Mon Aug 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.3-4mdk
- Patch33: Fix build with libexif 0.6.9

* Fri Jul 23 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.6.3-3mdk
- add BuildRequires: automake1.8

* Wed Jul 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com>  2.6.3-2mdk
- Requires gnome-control-center for the file-properties config dialog.

* Tue Jun 15 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.6.3-1mdk
- New release 2.6.3

* Sun Jun  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.2-1mdk
- new version

* Mon Apr 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-1mdk
- rediff patch 16
- New release 2.6.1

* Wed Apr 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-2mdk
- Rebuild against latest libcroco 

* Tue Apr 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-1mdk
- Release 2.6.0 (with Gtz help)
- Regenerates patches 12, 16, 31
- Bump requirements
- Disable patch27 (need to be moved to gnome-vfs)
- Remove patches 33, 34, 35 (merged upstream)

* Fri Mar 12 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.2-4mdk
- Patch35 (CVS): fix DND to desktop to have the same behaviour as other
  directory

* Fri Feb 13 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.2-3mdk
- Patch34 (CVS): various bug fixes, including one for Mdk bug #6959

* Fri Feb 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.2-2mdk
- Update patch16 to fix Mdk bug #7377 (directory name with space)
- Patch33: fix nl po (Mdk bug #7325)

* Wed Feb 04 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.2-1mdk
- Release 2.4.2

* Fri Nov 07 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.1-1mdk
- Release 2.4.1
- Remove patch33 (merged upstream)

* Tue Oct 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-2mdk
- Patch33 (CVS): fix crash when removing files in list view (Mdk bug #6172)

* Tue Sep 09 2003 Frederoc Crozat <fcrozat@mandrakesoft.com> 2.4.0-1mdk
- Release 2.4.0
- Remove patches 29, 30, 32 (merged upstream)
- Patch 32 : don't colorize selected icons

* Mon Sep 08 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.90-3mdk
- Update patch16 to use correct file for translation

* Thu Sep 04 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.90-2mdk
- Patch32 (CVS): fix initial icon placement on desktop
- Fix BuildRequires

* Tue Sep 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.90-1mdk
- Release 2.3.90
- Remove patch 32 (merged upstream)
- Regenerate patch 28 (partially merged upstream)

* Mon Sep 01 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.9-4mdk
- Remove patch 32, better fix in gnome-vfs now..
- Patch32 (CVS): fix blank home icon 

* Fri Aug 29 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.9-3mdk
- Patch29: correctly handle xpm icons used in .desktop files (Mdk bug
  4453)
- Patch30: ensure user name are converted to UTF-8 if needed (Mdk bug
  4939)
- Patch31: allow "Edit launcher" on .desktop file everywhere (not only
  vfolders)
- Patch32 : don't take 100% cpu when updating mimetype (Mdk bug 2457)

* Tue Aug 26 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.9-2mdk
- Patch28 : don't show some KDE specific icons (Mdk bug 4844)

* Mon Aug 25 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.9-1mdk
- Release 2.3.9

* Mon Aug 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.8-1mdk
- Release 2.3.8

* Mon Aug  4 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.7-4mdk
- Update patch 16 to use correct .mo file

* Mon Aug  4 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.7-2mdk
- Replace gtk+mdk with mdk-menu-messages requires

* Tue Jul 29 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.3.7-2mdk
- fix buildrequires

* Mon Jul 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.7-1mdk
- Release 2.3.7
- Regenerate patch16, 22 (partially merged)
- Remove patches 28, 25 (merged upstream)

* Wed Jul 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.3.6-2mdk
- buildrequires autoconf2.5

* Tue Jul 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.6-1mdk
- Release 2.3.6
- Remove patch28 (merged upstream)
- Regenerate patches 16 (gtz), 22
- Patch28 (CVS): add missing return value

* Tue Jun 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.4-2mdk
- Oops, enable supermount patch, it was forgotten..

* Tue Jun 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.4-1mdk
- Release 2.3.4 (GU4DEC Powered)
- Regenerate patches 16, 25

* Tue Apr 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.3.1-2mdk
- Rebuild against latest librsvg

* Tue Apr 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.3.1-1mdk
- Release 2.2.3.1
- Regenerate patch16 (thanks Gtz)
- Remove patches 20, 26 (merged upstream)
- Update patch21 with Dave Camp version (much cleaner)

* Fri Mar  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.1-5mdk
- Patch27: fix CD volume with supermount (Mdk bug #1764)

* Wed Feb 19 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.1-4mdk
- Enable and update patch25 : monitor fstab
- Update patch 26 to fix Mdk bug 1710 (duplicated context menu entry)

* Tue Feb 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.1-3mdk
- Enable patch16 : sharing is back

* Mon Feb 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.1-2mdk
- Enable patches 2, 12 : dynamic desktop, default-desktop are back

* Fri Feb 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.1-1mdk
- Release 2.2.1
- Remove patch 19 (merged upstream)
- Patch26 : various CVS fixes, including bug #1617

* Tue Jan 28 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0.2-1mdk
- Release 2.2.0.2

* Thu Jan 23 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0.1-1mdk
- Release 2.2.0.1

* Tue Jan 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0

* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.91-2mdk
- Drop patch 21 (merged upstream)
- Remove ScalableGorilla, Nautilus 1.x theme are deprecated
- Rebuild against latest openssl

* Tue Jan 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.91-1mdk
- Release 2.1.91

* Wed Jan  8 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.6-1mdk
- Release 2.1.6

* Thu Dec 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-1mdk
- Release 2.1.5

* Wed Dec 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.4-1mdk
- Release 2.1.4

* Fri Nov 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.3-1mdk
- Release 2.1.3

* Wed Nov 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.2-1mdk
- Release 2.1.2
- Disable patches 7, 16, 2, 19, 21, 25 until they are ported to 2.1.x

* Thu Oct 31 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.7-1mdk
- Release 2.0.7
- Dynamic desktop is not working currently (needed to be reimplemented at nautilus level)
- Remove patches 17, 23 & 24 (merged upstream)

* Thu Sep  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.5-5mdk
- Fix shared embled location (fix bug #181)
- Update patch 16 to fix fileshare tab refresh 

* Thu Sep  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.5-4mdk
- Update patch24 to fix assertion failure during trash search operation

* Tue Sep  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.5-3mdk
- Patch23 (Rawhide) : don't mark loopback devices as cdrom
- Patch24 (CVS): various fixes
- Patch25 : monitor for fstab changes

* Wed Aug 28 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.5-2mdk
- Update shared embled
- Patch18 (rawhide): hack to pad the left margin a bit to cope with poor word wrapping
- Patch19 (rawhide): ignore the "add_to_session" preference as it only broke stuff
- Patch20: migrate nautilus 1 scripts and always create nautilus 2 scripts directory
  (prevent fam to crazily poll this directory)
- Patch21 (Havoc): set default background now really use our default background

* Fri Aug 23 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.5-1mdk
- Release 2.0.5

* Tue Aug 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.4-2mdk
- Enable ugly hack to detect if KDE is running (prevent nautilus to start in
  desktop mode)
- Patch17 (Rawhide): fix sidebar gconf key in schema
- Remove fam dependency, since gnome-vfs requires it
- Regenerate and enable patch2 (default desktop) for nautilus 2
- Update patch 12 to disable "Edit launcher" on non .desktop files on desktop

* Mon Aug 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.4-1mdk
- Release 2.0.4
- Regenerate patch 12

* Tue Aug  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.3-1mdk
- Release 2.0.3

* Thu Aug  1 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-3mdk
- Fix BuildRequires

* Mon Jul 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-1mdk
- Release 2.0.2
- Remove .xvpics from ScalableGorilla tarball

* Wed Jul 24 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-1mdk
- Release 2.0.1
- Regenerate patch 16
- Fix patch12 when dropping icons from desktop or launching files from desktop
- Remove patches 21 & 22 (merged upstream)

* Thu Jul 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-13mdk
- Update patch12 to fix symlink on desktop (Bertrand Dekoninck)
- Requires vorbis-tools to get ogg audio preview

* Wed Jul 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-12mdk
- Add guard in patch12 if gnome-vfs desktop: method is not available
  (it should but bad upgrade could prevent that)

* Wed Jul 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-11mdk
- Patch22 (CVS): Fix problems with high latency vfs method (rio500, smb, ...)

* Mon Jul 15 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-10mdk
- Fixed patch12 again (crash when fam was not working correctly)

* Thu Jul 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-9mdk
- Add /var/lib/gnome/desktop to really fix the nautilus-bookmark crash..
  (Thanks to drfickle)

* Thu Jul 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-8mdk
- Fixed patch12 again (fix remote bookmark tagged as non existing)

* Wed Jul 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-7mdk
- Fixed patch12 (remove fix crashes/assertions reported by Michael Reinsch)

* Tue Jul  9 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-6mdk
- Bump requirement to desktop: aware version of gnome-vfs
- Regenerate patch 12 (dynamic desktop) for nautilus 2.0
- Fix patch 21 with nautilus authors' comments
- ScalableGorilla v0.4.3

* Fri Jun 28 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-5mdk
- Regenerate patches 16 (file share) and 21 (supermount)  for nautilus 2.0
- png icons
- Remove patches 2, 3, 14, 17, 18, 19, 23 (obsolete), 15, 22 (merged upstream)

* Wed Jun 26 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-4mdk
- Add ScalableGorilla theme

* Thu Jun 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-3mdk
- Recompiled against librsvg 2.0.0

* Wed Jun 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-2mdk
- Fix dependencies in -devel package

* Wed Jun 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-1mdk
- Release 2.0.0

* Thu Jun  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.19-3mdk
- Rebuilt against libbonoboui 2.0.0

* Wed Jun  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.19-2mdk
- Rebuilt against gail 0.15

* Wed Jun  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.19-1mdk
- Release 1.1.19

* Fri May 31 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1.16-2mdk
- Automated rebuild with gcc 3.1-1mdk

* Tue May 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.16-1mdk
- Release 1.1.16
- Remove patch24 (merged upstream)

* Mon May 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.15-3mdk
- Requires eog and mpg123 otherwise mp3 and image preview doesn't work

* Fri May 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.15-2mdk
- Patch 24 : update libbackground to latest version (bug in 1.1.15 tarball)

* Tue May  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.15-1mdk
- Release 1.1.15

* Mon Apr 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.14-1mdk
- Release 1.1.14

* Mon Apr 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.13-1mdk
- Release 1.1.13

* Wed Apr 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.12-1mdk
- Release 1.1.12
- Oops, add schemas registration
- Obsoletes gmc

* Mon Apr  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.11-1mdk
- Release 1.1.11 (GNOME 2)
- Disable all Mdk patches, until we get a stable stock GNOME 2
- Remove patch 20 (merged upstream)

* Fri Mar 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.6-18mdk
- Oops, fix Requires in -devel

* Thu Mar 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.6-17mdk
- Requires nautilus-html-view instead of nautilus-mozilla (to support galeon
  view for Nautilus)
- Fix Requires in -devel (thanks to Goetz Waschk)

* Wed Mar 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.6-16mdk
- Rebuild against mozilla 0.9.9

* Thu Mar 14 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0.6-15mdk
- corrected i18n bugs

* Wed Mar 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.6-14mdk
- Patch23 : NO_XALF .desktop can now be launched by nautilus (bug 5998)
- Update patch2 to use translation for "Recreate defaults icons"

* Thu Mar  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.6-13mdk
- Update patch21 to duplicate "CD-ROM" translation before using it 
  (was causing segfault in Basque..)

* Mon Mar  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.6-12mdk
- Update patch21 to rename supermounted CDROMs from "Unknown" to "CD-ROM"
- Update patch2 to rephrase "create default icons" into "recreate default icons"
- Update patch12 to accept dragging panel launcher to desktop

* Wed Feb 27 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0.6-11mdk
- integrated Basque translation

* Tue Feb 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.6-10mdk
- Update patch 16 : use translation from gtk+mdk po and update properties 
  after running filesharing config tool
- Update patch 21 : simplify supermount code
- Add emblem for shared directories

* Wed Feb  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.6-9mdk
- Recompiled against mozilla 0.9.8
- Really remove start-here icon

* Thu Jan 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.6-8mdk
- Update patch20: add fix for Mozilla profile, fix remote sound preview
- Patch23: fix some fuzzy entries in po causing menu errors

* Thu Jan  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.6-7mdk
- Update patch21: try to not stat supermount mount points
- Enforce dependency on drakxtools, otherwise filesharing might not work
- Patch22: fix last remaining flash bug at startup
- Recompiled against Mozilla 0.9.7

* Fri Dec 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.6-6mdk
- Update patch 21 : remove debug message

* Fri Dec 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.6-5mdk
- Patch21: supermount support
- Update patch 16 : finish implementation of file sharing
- Update patch 12 : use #define when possible

* Thu Dec  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.6-4mdk
- Patch17 (rawhide) : Background efficiency improvements and hacks
- Patch18 : fix defunct process leaked by hyperbola
- Patch19 (Ximian) : Fix dnd url from Galeon/Mozilla
- Patch20 (GNOME CVS) : Various cvs fixes
- Fix patch 12 : should not crash when copying files on desktop
- Libification

* Thu Nov 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.6-3mdk
- Patch16: add file sharing support (need drakxtools with fileshareset/list)
- Enforce dependency on mozilla version

* Mon Nov 26 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.6-2mdk
- Recompiled against Mozilla 0.9.6

* Thu Nov 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.6-1mdk
- Release 1.0.6
- Remove patches 0, 2, 4, 8, 9, 13 (merged upstream)
- Regenerate patches 2 (new implementation),  14 (some parts are merged upstream), 
  15 (new implementation), 12 (Nautilus authors suggestions)

* Fri Oct 19 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0.4-13mdk
- Fix BuildRequires

* Tue Oct 16 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.0.4-12mdk
- rebuilt with libpng3
- added a comment about a circular dependency when building this package:
we need nautilus installed to build nautilus... or we need gmc, to be 
able to install gnome-core(-devel).

* Tue Oct  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-11mdk
- Fix BuildRequires
- Update patch13 with reviewed fix for mount/umount

* Mon Oct  1 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-10mdk
- Update patch13: fix error detection when mounting / unmounting

* Tue Sep 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-9mdk
- Revert patch0 to version from 1.0.4-5mdk, latest version is too unstable
- Update patch14: fix loading of url type desktop files
- Update patch12: moving files to desktop
				  fix create new directory in desktop

* Sat Sep 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-8mdk
- Recompiled against mozilla 0.9.4

* Fri Sep 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-7mdk
- Update patch13 : enhance thumbnail code

* Fri Sep 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-6mdk
- Patch15: don't eject cd automounted
- Update patch13: fix race condition when unmount cdrom
- Update patch12: hack to fix bug when switching desktop location 
- Update patch0 with latest version of redhat branch

* Thu Sep  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-5mdk
- Update patch12 : enable moving icons on desktop
- Patch14: fix icons for .desktops

* Fri Aug 31 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-4mdk
- Update patch 6 (almost included in patch13)
- Patch0: use redhat-outstanding-patch branch
- Patch 9: add support for jfs 
- Regenerate patch 3
- Remove eazel logos (Eazel is down)
- Don't compile Mozilla support on ia64
- Patch12: add support for dynamic mount points
- Patch13: a lot of fixes from CVS

* Wed Jul 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-2mdk
- Patch 7: fix flash at startup problem (Jonathan Blandford)

* Fri Jul  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-1mdk
- Release 1.0.4
- Remove patch 5 (merged upstream)
- Regenerate patch 2, 3

* Fri Jun 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-4mdk
- Build with fam

* Fri Jun  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-3mdk
- Recompiled against latest Mozilla

* Tue May 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-2mdk
- Patch4 : Use libnspr4 for Mozilla components
- Patch5 : add nautilus to session (from GNOME CVS)

* Mon May 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-1mdk
- Release 1.0.3
- Remove patch 0, 4, 5 (merged upstream), patch1 (moved to trilobite), patch3 (no longer needed by trilobite)
- Regenerate patch2 (some part are in eel now)
- Patch3 : Now longer provides Eazel services (too bad for Eazel folks ;(

* Thu Apr 19 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-1mdk
- Release 1.0.2

* Tue Apr 17 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1.1-5mdk
- Update patch 2 to correctly create URL links from gmc ones

* Fri Apr 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1.1-4mdk
- Correct patch 2 to correctly call gmc scripts

* Fri Apr 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1.1-3mdk
- Change menu icon

* Fri Apr 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1.1-2mdk
- Add requires on urw-fonts (otherwise Nautilus crashes)

* Mon Apr  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1.1-1mdk
- Release 1.0.1.1
- Patch5 to prevent scrollkeeper-update to be run at install section

* Mon Apr  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-6mdk
- Recompiled against latest gcc
- Mozilla-psm is required to work correctly with https site

* Fri Apr  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-5mdk
- Really fix bug 2948 (html displayed as text)

* Fri Apr  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-4mdk
- Add missing dependency

* Fri Apr  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-3mdk
- Recompiled with -fno-strength-reduce

* Thu Apr  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-2mdk
- Add strong dependency on nautilus-mozilla
- Update patch 3 (do not create service icon if services are not installed)

* Tue Apr  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-1mdk
- Release 1.0.1

* Tue Apr  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-7mdk
- Provides gnome-desktop virtual package
- Patch3 to check if services are installed before displaying menu
- Patch2 to initialize gmc desktop before importing it

* Thu Mar 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-6mdk
- Add medusa in Requires, library dependencies is not enough

* Mon Mar 26 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-5mdk
- Add pam-devel in BuildRequires

* Thu Mar 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-4mdk
- Add missing dependency on ammonite and nautilus-mozilla for nautilus-trilobite
- Patch 1 for using rpm4 on Mdk 8

* Thu Mar 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-3mdk
- Patch 0 to correctly install xml data

* Wed Mar 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-2mdk
- Change dependencies on scrollkeeper

* Tue Mar 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-1mdk
- Release 1.0
- Remove patch 0 (merged upstream)
- Correct dependencies

* Fri Mar  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.2-2mdk
- patch 0 to support bzipped info and man pages

* Thu Mar  1 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.2-1mdk
- Release 0.8.2
- Remove patch 0 (merged upstream)

* Mon Feb  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-1mdk
- Release 0.8 (PR3)
- Remove patch 1
- Split main package

* Wed Jan 24 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-4mdk
- Re-add dependencies since implicit dependencies are not enough

* Wed Jan 24 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-3mdk
- update patch1
- Recompiled with oaf 0.6.2

* Mon Jan  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-2mdk
- Rebuild with latest Bonobo  (update patch 1)

* Tue Nov 21 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-1mdk
- Release 0.5
- eazel services are not compiled (not yet compatible with rpmlib4)

* Thu Aug 31 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.0-1mdk
- first rpm (from Geoffrey Lee).


